#include "HEvent.pb.h" 
#include <CBook/EPBook.h>
#include <iostream>
using namespace std;

//////////////////////////////////////////////////////////////////////////////
int main(int aArgc, char** aArgs )
//////////////////////////////////////////////////////////////////////////////
//  Fill ntuple with data structures for reading by jHepWork  
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!//
{

  GOOGLE_PROTOBUF_VERIFY_VERSION;

  EPBook*  epbook = EPBook::open("test.nbu");

  for (int e=0; e<100000; e++){

          // new event
          jhplot::io::HEvent eve;
          eve.set_name("collision");
          eve.set_id(e);

          if (e%100 == 0) cout << e << endl;

         // new group
         jhplot::io::HEvent_Group* g = eve.add_group();
         g->set_name("tracks");
         for (int i=0; i<10; i++) {
            jhplot::io::HEvent_Entry* entry = g->add_entry();
            entry->set_name("track");
            entry->add_da(1.9);
            entry->add_ida(1); 
            entry->add_da(2.9);
            entry->add_ida(1);
         }

          // new group
          jhplot::io::HEvent_Group* gg = eve.add_group();
          gg->set_name("cells");

         for (int i=0; i<10; i++) {
            jhplot::io::HEvent_Entry* entry = g->add_entry();
            entry->set_name("cell");
            entry->add_da(1.9);
            entry->add_ida(1);
            entry->add_da(2.9);
            entry->add_ida(1);
         }
 
        

 
    epbook->write(eve);
  }

  // clear all and close 
  epbook->close();

  return 0;
}
